%define name		yagf
%define version		0.9.4.2
%define release		%mkrel 1


Name:		%{name}
Version:		%{version}
Release:	%{release}
Summary:	Cuneiform and Tesseract text recognition tool
URL:		http://symmetrica.net/cuneiform-linux/yagf-en.html
Group:		Graphics
License:		GPL v3
Source:		%{name}-%{version}.tar.xz
Patch:		%{name}-%{version}-disable-crop-image-when-loaded.patch
BuildRequires: 	cmake
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}aspell-devel
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  dos2unix
Requires:       tesseract
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
YAGF is a graphical interface for cuneiform and tesseract text recognition tools 
on the Linux platform. With YAGF you can scan images via XSane, import pages 
from PDF documents, perform images preprocessing and recognize texts using 
cuneiform from a single command centre. YAGF also makes it easy to scan and 
recognize several images sequentially.

%prep
%setup -q
%apply_patches

# fix line brake for debug package
dos2unix src/mainform.cpp src/mainform.h

# fix permisions
chmod 644 src/mainform.cpp src/mainform.h src/main.cpp

%build
%cmake
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrakeLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/YAGF.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING DESCRIPTION README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/96x96/apps/%{name}.png
%{_datadir}/applications/YAGF.desktop
%{_datadir}/pixmaps/yagf.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/appdata/YAGF.appdata.xml

%changelog
* Fri Jul 03 2015 bb <bb> 0.9.4.2-1pclos2015
- update

* Sun Mar 23 2014 <vogtpet at gmail.com> 0.9.3-1pclos2014
- 0.9.3
- amended BR acc Fedora
- added Requires Tesseract

* Fri Oct 04 2013 <vogtpet at gmail.com> 0.9.2-1pclos2013
- 0.9.2

* Tue Apr 03 2012 Neal <nealbrks0 at gmail dot com> 0.9-1pclos2012
- process

* Mon Apr 02 2012 Archie Arevalo <pclinuxos.ph at gmail.com> _archie_2012
- Initial build
